# Module os::task

source · [−]

## Re-exports

`pub use context::TaskContext;`
`pub use manager::add_task;`
`pub use manager::pid2task;`
`pub use pid::pid_alloc;`
`pub use pid::KernelStack;`
`pub use pid::PidHandle;`
`pub use processor::current_task;`
`pub use processor::current_trap_cx;`
`pub use processor::current_user_token;`
`pub use processor::run_tasks;`
`pub use processor::schedule;`
`pub use processor::take_current_task;`
`pub use signal::SignalFlags;`
`pub use signal::MAX_SIG;`
`pub use action::SignalAction;`
`pub use action::SignalActions;`

## Modules

action 🔒
context 🔒
manager 🔒
pid 🔒
processor 🔒
signal 🔒
switch 🔒
task 🔒

## Structs

INITPROC

## Functions

add_initproc
call_kernel_signal_handler 🔒
call_user_signal_handler 🔒
check_pending_signals 🔒
check_signals_error_of_current
current_add_signal
exit_current_and_run_next
handle_signals
suspend_current_and_run_next